function  resp = averageR(u, p, l, a)
    t1 = averageResponseSmaller(u, p ,a, l);
    
    a1 = alpha1(u, p, a, l);
    
    a2 = alpha2(u, p ,a, l);

    mean = a * (1-cumulativeHyper(u,p,a));
    
    for i=1:size(u,2)
        mean = mean + (1-exp(-a * u(i))*(1+a*u(i)))*p(i)/u(i);
    end
    
    rho1 = l*mean;
 
    
    resp = t1 * cumulativeHyper(u,p,a) + ...
        a1*(1-cumulativeHyper(u,p,a)) +...
        1/(1-rho1)*a2*(1-cumulativeHyper(u,p,a));
        
end