function [asigned, b] = computeAsigned(l, a, u, p)
    Ba = 1-cumulativeHyper(u, p , a);
    
    T=0;
    
    for i=1:size(u,2)
        T=T+p(i)/u(i)*(1-exp(- a*u(i))*(a*u(i)+1));
    end
    
    asigned = Ba/(1-Ba*l*a-l*T);
    
    T2=0;
    
    for i=1:size(u,2)
        T2 = T2 + p(i)/u(i)^2*(-a^2*exp(-a *u(i))*u(i)^2+2*(1-exp(-a*u(i))*(a*u(i)+1) ));
    end
    
    b=l*(2*Ba*a+l*a^2*asigned*Ba+l*asigned*T2)/(1-Ba*l*a-l*T);
    
end