function [p, u] = convertToHyper(a, q)
   n = size(a, 2);
   
   u = q;
   
   p=zeros(1,n);
   
   A = zeros(n,n);
   
   for j = 1:n
       for i=1:j
           A(j,i) = 1;
           for t=1:i-1
               A(j,i) = A(j,i) * (q(t)-q(j));
           end
           for t=i:n
               A(j,i) = A(j,i) * q(t);
           end
           for t=1:n
               if (t ~= j)
                   A(j,i) = A(j,i)/(q(t)-q(j));
               end
           end
       end
   end
   
   for j=1:n
       Aj = 0;
       for i=1:j
           Aj = Aj + a(i)*A(j,i);
       end
       p(j)=Aj/u(j);
   end
end