function lu = bansal(u, p, lambda, asigned, b)
    dim = size(u, 2);
    
    A = zeros(dim,dim);
    B = zeros(dim,1);
    
    for r=1:dim
        for c=1:dim
            if (r==c)
                elem = 0;
                for i=1:dim
                    elem = elem + p(i)/(u(r)+u(i));
                end
                elem = 1-lambda*asigned*elem-lambda*asigned*p(r)/(2*u(r));
                A(r,c)=elem;
            else
                A(r,c) = - lambda*asigned*p(c)/(u(r)+u(c));
            end     
        end
        B(r) = 0;
        for i=1:dim
            B(r) = B(r) + p(i)/(u(r)+u(i));
        end
        B(r) = B(r)*b+1/u(r);
    end
    lu = linsolve(A,B);
end