function [mean,variance] = compute_mu1(u, p, a)
    mean = 0;
    variance = a^2*(1-cumulativeHyper(u,p,a));
    
    for i=1:size(u,2)
        mean = mean + (1-exp(-a * u(i)))*p(i)/u(i);
        variance = variance + (2+exp(-a*u(i))*(-2-a*u(i)*(2+a*u(i))))...
            *p(i)/(u(i))^2;
    end
    
    variance = variance - mean^2;

end
