function r=responseSmaller(u, p, a, l, x)
   assert(x<=ones(1,size(x,2))*a, "Conditioned response time form jobs smaller than the "+ ...
      "threshold: size of the job larger than the threshold");
   
   size1 = a * (1-cumulativeHyper(u,p,a));
   for i=1:size(u,2)
        size1 = size1 + (1-exp(-a * u(i))*(1+a*u(i)))*p(i)/u(i);
   end

  
   
   rho1 = l*size1;
   
   r = x/(1-rho1);
end


